// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/barrel/barrel2
{
	{
		map models/mapobjects/barrel/barrel2.tga
		rgbgen vertex
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate 403
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate -100
	}
}

models/mapobjects/gratelamp/gratelamp
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratelamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformvertexes autosprite
	q3map_surfacelight 10
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/slamp/slamp2
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map models/mapobjects/slamp/slamp2.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/effects/envmapdimb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/slamp/slamp3
{
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	{
		map models/mapobjects/slamp/slamp3.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/slamp/slamp3_re
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	{
		map models/mapobjects/slamp/slamp3.tga
		blendfunc gl_one gl_one
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/skylight1
{
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 2 0 7.7
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 5 1 5.1
	}
}

textures/base_floor/skylight_spec
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/skylight_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_floor/tilefloor7_ow
{
	q3map_lightimage textures/base_floor/tilefloor7_owfx.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/tilefloor7_ow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 2 0 7
	}
	{
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
}

textures/base_light/proto_light
{
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/scrolllight
{
	q3map_lightimage textures/sfx/scrolllight2.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/scrolllight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/scrolllight2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 0
	}
	{
		map textures/base_light/scrolllight2.tga
		blendfunc gl_one gl_one
		tcmod scroll -2 0
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_trim/spiderbit
{
	q3map_lightimage textures/base_trim/spiderbit_fx.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/spiderbit.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_trim/spiderbit_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .1 .5 0 7
	}
}

textures/base_trim/techborder_merge
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/techborder_merge.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/techborder_merge_fx.tga
		tcmod scroll .2 0
		blendfunc gl_one gl_one
	}
	{
		map textures/base_trim/techborder_merge_fx.tga
		tcmod scale .1 1
		tcmod scroll .2 0
		blendfunc gl_one gl_one
	}
}

textures/base_wall/basewall01bit
{
	q3map_lightimage textures/base_wall/basewall01bitfx.tga
	q3map_surfacelight 300
	{
		map textures/base_wall/basewall01bit.tga
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01bitfx.tga
		blendfunc gl_one gl_one
		tcmod scroll 3.3 1
		rgbgen wave sin .5 0.5 0 5
	}
	{
		map textures/effects/envmap2.tga
		tcgen environment
		tcmod scale 4 4
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01bit.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/basewall01_ow
{
	q3map_lightimage textures/base_wall/basewall01_owfx.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01_ow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 0 .5
	}
}

textures/base_wall/comp3
{
	q3map_lightimage textures/base_wall/comp3env.tga
	qer_editorimage textures/base_wall/comp3_qer.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3text.tga
		rgbgen identity
		tcmod scroll 3 1
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/comp3b
{
	q3map_lightimage textures/base_wall/comp3textb.tga
	qer_editorimage textures/base_wall/comp3b_qer.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3textb.tga
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3b.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/patch10shiny
{
	qer_editorimage textures/base_wall/patch10_beatup4_alpha.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/patch10_beatup4_alpha.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx/bounce_dirt
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_dirt.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/fan
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcmod rotate 256
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/fanfx
{
	qer_editorimage textures/sfx/fanfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fanfx.tga
		tcmod rotate 256
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen exactvertex
		depthwrite
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/fog_timdm2
{
	qer_editorimage textures/sfx/fog_yel.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .615 .309 0 ) 356
}

textures/sfx/xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/skies/dc_q3dm5sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/skies/topclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

